SwiftLibrary (Gradle API 9.6.0)
Description: declaration: package: org.gradle.language.swift, interface: SwiftLibrary

Package org.gradle.language.swift

# Interface SwiftLibrary

All Superinterfaces:
  `ComponentWithBinaries`, `ComponentWithDependencies`, `ComponentWithTargetMachines`, `Named`, `ProductionComponent`, `ProductionSwiftComponent`, `SoftwareComponent`, `SwiftComponent`

public interface SwiftLibrary extends ProductionSwiftComponent
Configuration for a Swift library, defining the source files that make up the library plus other settings.

An instance of this type is added as a project extension by the Swift library plugin.

Since:
  4.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Configuration`
  `getApiDependencies()`
  Returns the API dependencies of this library.
  `LibraryDependencies`
  `getDependencies()`
  Returns the dependencies of this library.
  `SetProperty<Linkage>`
  `getLinkage()`
  Returns the list of linkage of this library.

  ### Methods inherited from interface org.gradle.language.ComponentWithTargetMachines

  `getTargetMachines`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

  ### Methods inherited from interface org.gradle.language.swift.ProductionSwiftComponent

  `getDevelopmentBinary`

  ### Methods inherited from interface org.gradle.language.swift.SwiftComponent

  `getBinaries, getImplementationDependencies, getModule, getSource, getSourceCompatibility, getSwiftSource, source`

- ## Method Details

  - ### getDependencies

    LibraryDependencies getDependencies()
    Returns the dependencies of this library.
    Specified by:
      `getDependencies` in interface `ComponentWithDependencies`
    Since:
      4.6

  - ### getApiDependencies

    Configuration getApiDependencies()
    Returns the API dependencies of this library.

  - ### getLinkage

    SetProperty<Linkage> getLinkage()
    Returns the list of linkage of this library.
    Since:
      4.5